import express from "express";
import type { RangeExpression } from "@canvas-js/modeldb";
import type { AbstractGossipLog } from "@canvas-js/gossiplog";
export declare function createAPI<Payload>(gossipLog: AbstractGossipLog<Payload>): express.Express;
export declare function getLimit(req: express.Request, max?: number): number;
export declare function getRange(req: express.Request): RangeExpression;
export declare function getOrder(req: express.Request): "asc" | "desc";
